<?php
/**
 * Active callback functions.
 *
 * @package Blog Note
 */

function blog_note_featured_slider_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[enable_featured_slider_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}

function blog_note_featured_slider_page( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[featured_slider_content_type]' )->value();
    return ( blog_note_featured_slider_active( $control ) && ( 'featured_slider_page' == $content_type ) );
}

function blog_note_featured_slider_post( $control ) {
    $content_type = $control->manager->get_setting( 'theme_options[featured_slider_content_type]' )->value();
    return ( blog_note_featured_slider_active( $control ) && ( 'featured_slider_post' == $content_type ) );
}

function blog_note_latest_posts_active( $control ) {
    if( $control->manager->get_setting( 'theme_options[enable_latest_posts_section]' )->value() == true ) {
        return true;
    }else{
        return false;
    }
}